AnsweredAssumed Answered

Using taglib on a i.MX6

Question asked by Daniel Oliveira on Nov 6, 2016
Latest reply on Nov 12, 2016 by Daniel Oliveira

Hi guys!

So, on the application that I am developing for the couple weeks I need to use taglib library. All goes well when compiling it for the desktop. I follow some steps to be able to use taglib under devian. I just installed taglib and taglib-extras by apt-get package manager, and on my .pro file I add the following lines:

CONFIG += link_pkgconfig
PKGCONFIG += taglib taglib-extras

Until here everything went fine, but my end target it's an i.MX6 platform. I am using Yocto for building my Linux image and after searching for taglib recipes I found one, which I included in my local.conf file. After this I build again the Qt SDK by performing bitbake meta-toolchain-qt5 and I sourced the script created and I did the proper configurations on Qt Creator - Poky 2.1.1 (just I did before we the last SDK - poky 2.1).

 

Unfortunately, I can't compile my application and I am getting this error:

Starting: "/opt/poky/2.1.1/sysroots/x86_64-pokysdk-linux/usr/bin/qt5/qmake" /home/hmi/workspace/my_projects/taglib/taglib.pro -spec linux-g++ CONFIG+=debug CONFIG+=qml_debug
Project ERROR: taglib development package not found
16:03:26: The process "/opt/poky/2.1.1/sysroots/x86_64-pokysdk-linux/usr/bin/qt5/qmake" exited with code 3.
Error while building/deploying project taglib (kit: iMX6 Qt5.6.2)
The kit iMX6 Qt5.6.2 has configuration issues which might be the root cause for this problem.
When executing step "qmake"

I know that I am missing some steps for using taglib in an embedded platform like i.MX6, but I am out of ideas. Any can help?

Outcomes